be.fgov.ehealth.dics.protocol.v5

## Class FindAmppRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.dics.protocol.v5.DicsRequestType
    - - be.fgov.ehealth.dics.protocol.v5.FindAmppRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:15:33+01:00",
                 comments="JAXB RI v2.3.7")
      public class FindAmppRequest
      extends DicsRequestType
      implements Serializable

  Java class for FindAmppRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindAmppRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
             <sequence>
               <element name="FindByPackage" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByPackageType" minOccurs="0"/>
               <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByDmppType" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindAmppRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FindByDmppType` | `getFindByDmpp()` Gets the value of the findByDmpp property.
    `FindByPackageType` | `getFindByPackage()` Gets the value of the findByPackage property.
    `void` | `setFindByDmpp(FindByDmppType value)` Sets the value of the findByDmpp property.
    `void` | `setFindByPackage(FindByPackageType value)` Sets the value of the findByPackage property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

      `getSearchDate, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindAmppRequest

          public FindAmppRequest()

  - ### Method Detail

    - #### getFindByPackage

          public FindByPackageType getFindByPackage()

      Gets the value of the findByPackage property.
      Returns:
        possible object is `FindByPackageType`

    - #### setFindByPackage

          public void setFindByPackage(FindByPackageType value)

      Sets the value of the findByPackage property.
      Parameters:
        `value` - allowed object is `FindByPackageType`

    - #### getFindByDmpp

          public FindByDmppType getFindByDmpp()

      Gets the value of the findByDmpp property.
      Returns:
        possible object is `FindByDmppType`

    - #### setFindByDmpp

          public void setFindByDmpp(FindByDmppType value)

      Sets the value of the findByDmpp property.
      Parameters:
        `value` - allowed object is `FindByDmppType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.